Name:		hexcurse
Version:	1.70.0
Release:	1%{?dist}
Summary:	Ncurses-based console hexeditor
URL:		https://github.com/prso/hexcurse-ng

# The project is available under the LGPL-2.0-or-later license except for the
# following files.
# These files are licensed under GPL-2.0-or-later:
#    include/hex.h
#    src/acceptch.c
#    src/file.c
#    src/hexcurse.c
#    src/llist.c
#    src/screen.c
#    src/stack.c
# These files are licensed under GPL-3.0-or-later:
#    config.guess
#    config.sub
License: LGPL-2.0-or-later AND GPL-2.0-or-later AND GPL-3.0-or-later

# The source of the package refers to the upstream master of the repository,
# every merge to master is manually checked by @prso.
Source:		https://github.com/prso/hexcurse-ng/archive/refs/heads/master.zip

BuildRequires:	ncurses-devel
BuildRequires:	glibc-devel
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	make
BuildRequires:	gcc

Requires:	ncurses

%description    
A fast, lightweight console hex editor for viewing and editing files in hex.

%prep
%autosetup -n hexcurse-ng-master
autoreconf -fi

%configure
%build
%make_build

%install
%make_install

%files
%license LICENSE.txt
%doc README.md NEWS ChangeLog INSTALL AUTHORS

%{_bindir}/%{name}

%{_mandir}/man1/%{name}.1.gz

%changelog
%changelog
* Sun May 18 2025 Davide Bosio <bosiodavide2006@gmail.com> - 1.70.0-1
- Updated to version 1.70.0
- Synced with upstream release: https://github.com/prso/hexcurse-ng/archive/refs/heads/master.zip

* Thu Feb 13 2025 Davide Bosio <bosiodavide2006@gmail.com> - 1.70.0-0.1
- Initial packaging for Fedora

